org.eclipse.jetty.servlet

## Class FilterMapping

- java.lang.Object
- - org.eclipse.jetty.servlet.FilterMapping

- All Implemented Interfaces:
    Dumpable

      public class FilterMapping
      extends Object
      implements Dumpable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALL`
    `static int` | `ASYNC`
    `static int` | `DEFAULT` Dispatch types
    `static int` | `ERROR`
    `static int` | `FORWARD`
    `static int` | `INCLUDE`
    `static int` | `REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterMapping()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `dispatch(DispatcherType type)` Dispatch type from name
    `static DispatcherType` | `dispatch(String type)` Dispatch type from name
    `String` | `dump()`
    `void` | `dump(Appendable out, String indent)`
    `String` | `getFilterName()`
    `String[]` | `getPathSpecs()`
    `String[]` | `getServletNames()`
    `void` | `setDispatcherTypes(EnumSet<DispatcherType> dispatcherTypes)`
    `void` | `setDispatches(int dispatches)`
    `void` | `setFilterName(String filterName)`
    `void` | `setPathSpec(String pathSpec)`
    `void` | `setPathSpecs(String[] pathSpecs)`
    `void` | `setServletName(String servletName)`
    `void` | `setServletNames(String[] servletNames)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final int DEFAULT

      Dispatch types
      See Also:
        Constant Field Values

    - #### REQUEST

          public static final int REQUEST

      See Also:
        Constant Field Values

    - #### FORWARD

          public static final int FORWARD

      See Also:
        Constant Field Values

    - #### INCLUDE

          public static final int INCLUDE

      See Also:
        Constant Field Values

    - #### ERROR

          public static final int ERROR

      See Also:
        Constant Field Values

    - #### ASYNC

          public static final int ASYNC

      See Also:
        Constant Field Values

    - #### ALL

          public static final int ALL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FilterMapping

          public FilterMapping()

  - ### Method Detail

    - #### dispatch

          public static DispatcherType dispatch(String type)

      Dispatch type from name

    - #### dispatch

          public static int dispatch(DispatcherType type)

      Dispatch type from name

    - #### getFilterName

          public String getFilterName()

      Returns:
        Returns the filterName.

    - #### getPathSpecs

          public String[] getPathSpecs()

      Returns:
        Returns the pathSpec.

    - #### setDispatcherTypes

          public void setDispatcherTypes(EnumSet<DispatcherType> dispatcherTypes)

    - #### setDispatches

          public void setDispatches(int dispatches)

      Parameters:
        `dispatches` - The dispatches to set.
      See Also:
        `DEFAULT`, `REQUEST`, `ERROR`, `FORWARD`, `INCLUDE`

    - #### setFilterName

          public void setFilterName(String filterName)

      Parameters:
        `filterName` - The filterName to set.

    - #### setPathSpecs

          public void setPathSpecs(String[] pathSpecs)

      Parameters:
        `pathSpecs` - The Path specifications to which this filter should be mapped.

    - #### setPathSpec

          public void setPathSpec(String pathSpec)

      Parameters:
        `pathSpec` - The pathSpec to set.

    - #### getServletNames

          public String[] getServletNames()

      Returns:
        Returns the servletName.

    - #### setServletNames

          public void setServletNames(String[] servletNames)

      Parameters:
        `servletNames` - Maps the `named filter` to multiple servlets
      See Also:
        `setServletName(java.lang.String)`

    - #### setServletName

          public void setServletName(String servletName)

      Parameters:
        `servletName` - Maps the `named filter` to a single servlet
      See Also:
        `setServletNames(java.lang.String[])`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### dump

          public void dump(Appendable out,
                  String indent)
                    throws IOException

      Specified by:
        `dump` in interface `Dumpable`
      Throws:
        `IOException`

    - #### dump

          public String dump()

      Specified by:
        `dump` in interface `Dumpable`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.